org.vishia.gral.base

## Class GralWidget.ConfigData

- java.lang.Object
- - org.vishia.gral.base.GralWidget.ConfigData

- Enclosing class:
    GralWidget

      public static final class GralWidget.ConfigData
      extends java.lang.Object

  This class holds common configuration data for widgets.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected GralWidget_ifc.ActionChange` | `actionChange1` Either this or `actionChangeSelect` is set.
    `protected GralWidget_ifc.ActionChangeWhen[]` | `actionChange1When`
    `protected GralWidget.ActionChangeSelect` | `actionChangeSelect` Either this or `#actionChange` is set.
    `protected GralUserAction` | `actionDrag` Parameter to the change action.
    `protected GralUserAction` | `actionDrop`
    `protected GralUserAction` | `actionFocused` This action will be called if the widget gets the focus.
    `protected GralUserAction` | `actionShow` Action method for showing.
    `int` | `mMouseToActionChange` Bits see `GralMouseWidgetAction_ifc.mUser1down` etc.
    `GralMouseWidgetAction_ifc` | `mouseWidgetAction` A standard action for a specific widget for example button, which is executed independently and additional to the user action.
    `java.lang.Object[]` | `showParam` Parameter which are used from a `GralWidget.setActionShow(GralUserAction, String[])` method.
    `private java.lang.String` | `sShowMethod` Textual description of the showing method.
    `private java.lang.String[]` | `sShowParam`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConfigData()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### actionShow

          protected GralUserAction actionShow

      Action method for showing.

    - #### sShowMethod

          private java.lang.String sShowMethod

      Textual description of the showing method.

    - #### sShowParam

          private java.lang.String[] sShowParam

    - #### actionChange1

          protected GralWidget_ifc.ActionChange actionChange1

      Either this or `actionChangeSelect` is set.

    - #### actionChange1When

          protected GralWidget_ifc.ActionChangeWhen[] actionChange1When

    - #### actionChangeSelect

          protected GralWidget.ActionChangeSelect actionChangeSelect

      Either this or `#actionChange` is set.

    - #### actionDrag

          protected GralUserAction actionDrag

      Parameter to the change action.

    - #### actionDrop

          protected GralUserAction actionDrop

    - #### actionFocused

          protected GralUserAction actionFocused

      This action will be called if the widget gets the focus.

    - #### showParam

          public java.lang.Object[] showParam

      Parameter which are used from a `GralWidget.setActionShow(GralUserAction, String[])` method. The parameter are converted from a String given form.

    - #### mouseWidgetAction

          public GralMouseWidgetAction_ifc mouseWidgetAction

      A standard action for a specific widget for example button, which is executed independently and additional to the user action.

    - #### mMouseToActionChange

          public int mMouseToActionChange

      Bits see `GralMouseWidgetAction_ifc.mUser1down` etc.

  - ### Constructor Detail

    - #### ConfigData

          public ConfigData()